### Method

# EBackend CollectionBackend claim_all_resources

since: 3.6

#### Declaration [src]

    GList*
    e_collection_backend_claim_all_resources (
      ECollectionBackend* backend
    )

#### Description [src]

Claims all previously used sources that have not yet been claimed by `e_collection_backend_new_child()` and returns them in a `GList`. Note that previously used sources can only be claimed once, so subsequent calls to this function for `backend` will return `NULL`.

The `backend` is then expected to compare the returned list with a current list of resources from a remote server, create new `ESource` instances as needed with e_collection_backend_new_child(), discard unneeded `ESource` instances with e_source_remove(), and export the remaining instances with e_source_registry_server_add_source().

The sources returned in the list are referenced for thread-safety. They must each be unreferenced with `g_object_unref()` when finished with them. Free the returned `GList` itself with g_list_free().

An easy way to free the list properly in one step is as follows:

      g_list_free_full (list, g_object_unref);

Available since: 3.6

#### Return value

Type: A list of `ESource*`

A list of previously used sources.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.